<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://richfaces.org/a4j"
      xmlns:f="http://java.sun.com/jsf/core">

<h:head>
<title>Alerta</title>
</h:head>
<h:body>
		<h:form>
        <h3>A nueva alerta:</h3>
        <h:inputText value="#{alerta.naler}"/>
        <h:commandButton id="Id" value="Pulsa" action="#{alerta.addAler()}"/>
        </h:form>

    	<h:dataTable id="tabla"  value="#{alerta.aler}" var="String"
        styleClass="order-table" headerClass="order-table-header"
        rowClasses="order-table-odd-row,order-table-even-row">

        <h:column>
            <f:facet name="header">alertas</f:facet>
            #{String.toString()}
        </h:column>

    </h:dataTable>
	<h:form>
    <f:websocket channel="push">
        <f:ajax event="updateAlertas" render=":tabla" />
    </f:websocket>
	</h:form>
	</h:body>
</html>